org.icefaces.ace.component.submitmonitor

## Class SubmitMonitorBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.submitmonitor.SubmitMonitorBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, ISubmitMonitor
  Direct Known Subclasses:
    SubmitMonitor

      public abstract class SubmitMonitorBase
      extends javax.faces.component.UIComponentBase
      implements ISubmitMonitor

  Monitors submits to the server, and indicates the status of the submits, server and network connection, and session validity. Examples of supported submit methods are: components doing full form submits, singleSubmit(s) such as via icecore:singleSubmit, partialSubmit(s) by ice: components, f:ajax submits by h: components, ace:ajax submits by ace: components, and direct use of ICEfaces javascript submit APIs. Supports configurable text labels and image state indicators, or facets for a fully configurable UI. Optionally uses an overlay for UI blocking during submits. Can be set to monitor a portion of the page, in tandem with other submitMonitors each monitoring their own distinct portions.

  For more information, see the SubmitMonitor Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `SubmitMonitorBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubmitMonitorBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.component.UIComponent` | `getActiveFacet()` Return the value of the `active facet` property.
    `java.lang.String` | `getActiveLabel()` Return the value of the `activeLabel` property.
    `java.lang.String` | `getBlockUI()` Return the value of the `blockUI` property.
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFor()` Return the value of the `for` property.
    `javax.faces.component.UIComponent` | `getIdleFacet()` Return the value of the `idle facet` property.
    `java.lang.String` | `getIdleLabel()` Return the value of the `idleLabel` property.
    `javax.faces.component.UIComponent` | `getNetworkErrorFacet()` Return the value of the `networkError facet` property.
    `java.lang.String` | `getNetworkErrorLabel()` Return the value of the `networkErrorLabel` property.
    `javax.faces.component.UIComponent` | `getServerErrorFacet()` Return the value of the `serverError facet` property.
    `java.lang.String` | `getServerErrorLabel()` Return the value of the `serverErrorLabel` property.
    `javax.faces.component.UIComponent` | `getSessionExpiredFacet()` Return the value of the `sessionExpired facet` property.
    `java.lang.String` | `getSessionExpiredLabel()` Return the value of the `sessionExpiredLabel` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.Boolean` | `isAutoCenter()` Return the value of the `autoCenter` property.
    `java.lang.Boolean` | `isPreload()` Return the value of the `preload` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `void` | `setActiveFacet(javax.faces.component.UIComponent active)` Set the value of the `active facet` property.
    `void` | `setActiveLabel(java.lang.String activeLabel)` Set the value of the `activeLabel` property.
    `void` | `setAutoCenter(java.lang.Boolean autoCenter)` Set the value of the `autoCenter` property.
    `void` | `setBlockUI(java.lang.String blockUI)` Set the value of the `blockUI` property.
    `void` | `setFor(java.lang.String For)` Set the value of the `for` property.
    `void` | `setIdleFacet(javax.faces.component.UIComponent idle)` Set the value of the `idle facet` property.
    `void` | `setIdleLabel(java.lang.String idleLabel)` Set the value of the `idleLabel` property.
    `void` | `setNetworkErrorFacet(javax.faces.component.UIComponent networkError)` Set the value of the `networkError facet` property.
    `void` | `setNetworkErrorLabel(java.lang.String networkErrorLabel)` Set the value of the `networkErrorLabel` property.
    `void` | `setPreload(java.lang.Boolean preload)` Set the value of the `preload` property.
    `void` | `setServerErrorFacet(javax.faces.component.UIComponent serverError)` Set the value of the `serverError facet` property.
    `void` | `setServerErrorLabel(java.lang.String serverErrorLabel)` Set the value of the `serverErrorLabel` property.
    `void` | `setSessionExpiredFacet(javax.faces.component.UIComponent sessionExpired)` Set the value of the `sessionExpired facet` property.
    `void` | `setSessionExpiredLabel(java.lang.String sessionExpiredLabel)` Set the value of the `sessionExpiredLabel` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SubmitMonitorBase

          public SubmitMonitorBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setActiveLabel

          public void setActiveLabel(java.lang.String activeLabel)

      Set the value of the `activeLabel` property.

      Contents: Label to be displayed on the submitMonitor while a submit is in progress.

      Specified by:
        `setActiveLabel` in interface `ISubmitMonitor`

    - #### getActiveLabel

          public java.lang.String getActiveLabel()

      Return the value of the `activeLabel` property.

      Contents: Label to be displayed on the submitMonitor while a submit is in progress.

      Specified by:
        `getActiveLabel` in interface `ISubmitMonitor`

    - #### setAutoCenter

          public void setAutoCenter(java.lang.Boolean autoCenter)

      Set the value of the `autoCenter` property.

      Contents: When blockUI is enabled, and this property is true, the submitMonitor will display centered over the translucent overlay.

      Specified by:
        `setAutoCenter` in interface `ISubmitMonitor`

    - #### isAutoCenter

          public java.lang.Boolean isAutoCenter()

      Return the value of the `autoCenter` property.

      Contents: When blockUI is enabled, and this property is true, the submitMonitor will display centered over the translucent overlay. Default = 'true'.

      Specified by:
        `isAutoCenter` in interface `ISubmitMonitor`

    - #### setBlockUI

          public void setBlockUI(java.lang.String blockUI)

      Set the value of the `blockUI` property.

      Contents: When enabled, display a translucent overlay on a portion of the window, and only show the submitMonitor UI when the connection is not idle and a submit is underway. This property specifies on what portion of the window to show the overlay: "@all" means the whole document body, "@source" means only over the component that originated the request, or a for style component search string may be given to specify a component. Finally, "@none" means to disable the overlay and have the submitMonitor UI always present where it has been placed in the page.

      Specified by:
        `setBlockUI` in interface `ISubmitMonitor`

    - #### getBlockUI

          public java.lang.String getBlockUI()

      Return the value of the `blockUI` property.

      Contents: When enabled, display a translucent overlay on a portion of the window, and only show the submitMonitor UI when the connection is not idle and a submit is underway. This property specifies on what portion of the window to show the overlay: "@all" means the whole document body, "@source" means only over the component that originated the request, or a for style component search string may be given to specify a component. Finally, "@none" means to disable the overlay and have the submitMonitor UI always present where it has been placed in the page. Default = '@all'.

      Specified by:
        `getBlockUI` in interface `ISubmitMonitor`

    - #### setFor

          public void setFor(java.lang.String For)

      Set the value of the `for` property.

      Contents: Specify space separated list of components, by their for property format search strings, so that those components and, recursively, all of their children, will be monitored by this component when they act as the source for submits. When this property is empty or unspecified, this component will monitor all submits from all sources. This property allows for different submitMonitor components to co-exist on a page, and each monitor different, non-overlapping, regions of the page, and be shown with their own unique labels etc.

      Specified by:
        `setFor` in interface `ISubmitMonitor`

    - #### getFor

          public java.lang.String getFor()

      Return the value of the `for` property.

      Contents: Specify space separated list of components, by their for property format search strings, so that those components and, recursively, all of their children, will be monitored by this component when they act as the source for submits. When this property is empty or unspecified, this component will monitor all submits from all sources. This property allows for different submitMonitor components to co-exist on a page, and each monitor different, non-overlapping, regions of the page, and be shown with their own unique labels etc.

      Specified by:
        `getFor` in interface `ISubmitMonitor`

    - #### setIdleLabel

          public void setIdleLabel(java.lang.String idleLabel)

      Set the value of the `idleLabel` property.

      Contents: Label to be displayed on the submitMonitor when no submit is in progress. This is only shown if blockUI="@none", since with the popup cases, the submitMonitor is not shown when idle.

      Specified by:
        `setIdleLabel` in interface `ISubmitMonitor`

    - #### getIdleLabel

          public java.lang.String getIdleLabel()

      Return the value of the `idleLabel` property.

      Contents: Label to be displayed on the submitMonitor when no submit is in progress. This is only shown if blockUI="@none", since with the popup cases, the submitMonitor is not shown when idle.

      Specified by:
        `getIdleLabel` in interface `ISubmitMonitor`

    - #### setNetworkErrorLabel

          public void setNetworkErrorLabel(java.lang.String networkErrorLabel)

      Set the value of the `networkErrorLabel` property.

      Contents: Label to be displayed on the submitMonitor when there is a network error.

      Specified by:
        `setNetworkErrorLabel` in interface `ISubmitMonitor`

    - #### getNetworkErrorLabel

          public java.lang.String getNetworkErrorLabel()

      Return the value of the `networkErrorLabel` property.

      Contents: Label to be displayed on the submitMonitor when there is a network error.

      Specified by:
        `getNetworkErrorLabel` in interface `ISubmitMonitor`

    - #### setPreload

          public void setPreload(java.lang.Boolean preload)

      Set the value of the `preload` property.

      Contents: When using images to indicate a server or network error, they may need to be preloaded while the server is still accessible. This preloads theme images when facets are not used.

      Specified by:
        `setPreload` in interface `ISubmitMonitor`

    - #### isPreload

          public java.lang.Boolean isPreload()

      Return the value of the `preload` property.

      Contents: When using images to indicate a server or network error, they may need to be preloaded while the server is still accessible. This preloads theme images when facets are not used. Default = 'true'.

      Specified by:
        `isPreload` in interface `ISubmitMonitor`

    - #### setServerErrorLabel

          public void setServerErrorLabel(java.lang.String serverErrorLabel)

      Set the value of the `serverErrorLabel` property.

      Contents: Label to be displayed on the submitMonitor when there is a server error.

      Specified by:
        `setServerErrorLabel` in interface `ISubmitMonitor`

    - #### getServerErrorLabel

          public java.lang.String getServerErrorLabel()

      Return the value of the `serverErrorLabel` property.

      Contents: Label to be displayed on the submitMonitor when there is a server error.

      Specified by:
        `getServerErrorLabel` in interface `ISubmitMonitor`

    - #### setSessionExpiredLabel

          public void setSessionExpiredLabel(java.lang.String sessionExpiredLabel)

      Set the value of the `sessionExpiredLabel` property.

      Contents: Label to be displayed on the submitMonitor when the session is expired.

      Specified by:
        `setSessionExpiredLabel` in interface `ISubmitMonitor`

    - #### getSessionExpiredLabel

          public java.lang.String getSessionExpiredLabel()

      Return the value of the `sessionExpiredLabel` property.

      Contents: Label to be displayed on the submitMonitor when the session is expired.

      Specified by:
        `getSessionExpiredLabel` in interface `ISubmitMonitor`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Style class of the container element.

      Specified by:
        `setStyleClass` in interface `ISubmitMonitor`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Style class of the container element.

      Specified by:
        `getStyleClass` in interface `ISubmitMonitor`

    - #### setIdleFacet

          public void setIdleFacet(javax.faces.component.UIComponent idle)

      Set the value of the `idle facet` property.

    - #### getIdleFacet

          public javax.faces.component.UIComponent getIdleFacet()

      Return the value of the `idle facet` property.

    - #### setSessionExpiredFacet

          public void setSessionExpiredFacet(javax.faces.component.UIComponent sessionExpired)

      Set the value of the `sessionExpired facet` property.

    - #### getSessionExpiredFacet

          public javax.faces.component.UIComponent getSessionExpiredFacet()

      Return the value of the `sessionExpired facet` property.

    - #### setActiveFacet

          public void setActiveFacet(javax.faces.component.UIComponent active)

      Set the value of the `active facet` property.

    - #### getActiveFacet

          public javax.faces.component.UIComponent getActiveFacet()

      Return the value of the `active facet` property.

    - #### setServerErrorFacet

          public void setServerErrorFacet(javax.faces.component.UIComponent serverError)

      Set the value of the `serverError facet` property.

    - #### getServerErrorFacet

          public javax.faces.component.UIComponent getServerErrorFacet()

      Return the value of the `serverError facet` property.

    - #### setNetworkErrorFacet

          public void setNetworkErrorFacet(javax.faces.component.UIComponent networkError)

      Set the value of the `networkError facet` property.

    - #### getNetworkErrorFacet

          public javax.faces.component.UIComponent getNetworkErrorFacet()

      Return the value of the `networkError facet` property.

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.